package de.intevation.flys.artifacts.states.minfo;

import org.w3c.dom.Element;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.CallMeta;
import de.intevation.artifacts.common.utils.XMLUtils;
import de.intevation.flys.artifacts.resources.Resources;
import de.intevation.flys.artifacts.states.DefaultState;

/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class YearEpochSelect extends DefaultState {

    /**
     * The default constructor that initializes an empty State object.
     */
    public YearEpochSelect() {
    }

    @Override
    protected String getUIProvider() {
        return "minfo.bed.year_epoch";
    }

    @Override
    protected Element[] createItems(
        XMLUtils.ElementCreator ec,
        Artifact                artifact,
        String                  name,
        CallContext             context)
    {
        CallMeta meta = context.getMeta();
        Element[] elements = new Element[2];
        elements[0] = createItem(
                ec,
                new String[] {
                    Resources.getMsg(meta,
                        "state.minfo.year",
                        "state.minfo.year"),
                    "year"});

        elements[1] = createItem(
            ec,
            new String[] {
                Resources.getMsg(meta,
                    "state.minfo.epoch",
                    "state.minfo.epoch"),
                "epoch"});

        return elements;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
